Đến nội dung


Hình ảnh

[Hỏi] lỗi về text dãn ra


  • Please log in to reply
21 replies to this topic

#1 quochuyksxd

quochuyksxd

    biết lệnh fillet

  • Members
  • PipPipPipPip
  • 201 Bài viết
Điểm đánh giá: 24 (tàm tạm)

Đã gửi 15 December 2011 - 08:54 AM

Không hiểu sao bản vẽ của mình cứ bị lỗi text dãn ra như thế này rất khó chịu, Mặc dù width factor=1. Khi edit thì text lại trở lại bình thường nhưng sau đó move hoặc tắt mở lại bản vẽ thì text lại dãn lại. Nhờ các a e Pro giúp đỡ

Hình đã gửi
  • 0

#2 anhvanyeuem

anhvanyeuem

    HÀ TĨNH CHÍNH GỐC 38!

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 764 Bài viết
Điểm đánh giá: 473 (tốt)

Đã gửi 15 December 2011 - 09:15 AM

Bác có thể uplte cho em cái File đó không?để em tìm cách giúp!
  • 0

Hội những người yêu kỹ thuật chân chính


#3 quochuyksxd

quochuyksxd

    biết lệnh fillet

  • Members
  • PipPipPipPip
  • 201 Bài viết
Điểm đánh giá: 24 (tàm tạm)

Đã gửi 15 December 2011 - 09:43 AM

mình up 1 bản vẽ đây
http://www.cadviet.c...100618_help.dwg
  • 0

#4 quochuyksxd

quochuyksxd

    biết lệnh fillet

  • Members
  • PipPipPipPip
  • 201 Bài viết
Điểm đánh giá: 24 (tàm tạm)

Đã gửi 15 December 2011 - 10:55 AM

Không ai giúp đỡ mình ah? help help!!
  • 0

#5 Detailing

Detailing

    biết lệnh imageclip

  • Members
  • PipPipPipPipPipPipPip
  • 667 Bài viết
Điểm đánh giá: 278 (khá)

Đã gửi 15 December 2011 - 11:05 AM

Không ai giúp đỡ mình ah? help help!!

Máy bạn bị thiếu Font nên khi laod bản vẽ nó sẽ thay bằng Font khác với khoảng cách như vậy. Bạn check font lại xem sao.
Good luck!
  • 0

Ideas don't matter, execution does!

1908412_308002392716743_8165279281236341


#6 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 15 December 2011 - 11:07 AM

mình up 1 bản vẽ đây
http://www.cadviet.c...100618_help.dwg

Tue_NV mở bản vẽ của bạn -> Thấy bình thường, chữ không có rộng ra, vậy là sao vậy nhỉ?
Có thể là như bạn detail nói ở trên.
Bạn xem lại máy bạn có Font .VnArial NarrowH không?
  • 0

#7 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5685 Bài viết
Điểm đánh giá: 2606 (tuyệt vời)

Đã gửi 15 December 2011 - 11:08 AM

Ở máy mọi người chắc lại k có vấn đề gì thôi (máy mình cũng thế) ^^
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#8 lp_hai

lp_hai

    biết lệnh measure

  • Members
  • PipPipPipPipPipPip
  • 456 Bài viết
Điểm đánh giá: 202 (khá)

Đã gửi 15 December 2011 - 11:20 AM

có lẽ là do lỗi gì gì đó mình cũng ko biết. nhưng nếu muốn chửa cháy thì bạn vào textstyle (lệnh st) ở ô Heigh bạn sửa từ 0 thành 1 Apply, sau đó lại sửa trở về 0 rồi apply. mình làm như thế rồi save lại. tắt file mở lại thấy ko bị nữa

@ Bác Ket: em mở lên thì thấy nó ngộ lắm (Text có điểm chèn là Center) em dùng hàm (entget(car(entsel))) cho nó trước và sau khi edit là thế này:

Command: te
Select object: ((-1 . <Entity name: 7e5d0ce8>) (0 . "TEXT") (330 . <Entity
name: 7e5d7c10>) (5 . "1FD") (100 . "AcDbEntity") (67 . 0) (410 . "Model") (8 .
"TEXT") (62 . 4) (100 . "AcDbText") (10 974141.0 -583702.0 0.0) (40 . 486.349)
(1 . "B¶ng thèng kª cèt thÐpTHANG 2") (50 . 0.0) (41 . 1.0) (51 . 0.0) (7 .
"HOA") (71 . 0) (72 . 1) (11 982711.0 -583702.0 0.0) (210 0.0 0.0 1.0) (100 .
"AcDbText") (73 . 0))
sau khi edit text (text nhảy về đúng vị trí)

Command: te
Select object: ((-1 . <Entity name: 7e5d0ce8>) (0 . "TEXT") (330 . <Entity
name: 7e5d7c10>) (5 . "1FD") (100 . "AcDbEntity") (67 . 0) (410 . "Model") (8 .
"TEXT") (62 . 4) (100 . "AcDbText") (10 977696.0 -583702.0 0.0) (40 . 486.349)
(1 . "B¶ng thèng kª cèt thÐpTHANG 2") (50 . 0.0) (41 . 1.0) (51 . 0.0) (7 .
"HOA") (71 . 0) (72 . 1) (11 982711.0 -583702.0 0.0) (210 0.0 0.0 1.0) (100 .
"AcDbText") (73 . 0))
sau thế dc nhể?!
  • 0
Hình đã gửi

#9 quochuyksxd

quochuyksxd

    biết lệnh fillet

  • Members
  • PipPipPipPip
  • 201 Bài viết
Điểm đánh giá: 24 (tàm tạm)

Đã gửi 15 December 2011 - 11:31 AM

Tue_NV mở bản vẽ của bạn -> Thấy bình thường, chữ không có rộng ra, vậy là sao vậy nhỉ?
Có thể là như bạn detail nói ở trên.
Bạn xem lại máy bạn có Font .VnArial NarrowH không?

Máy của mình rất đầy đủ, 1 điều là đưa sang các máy khác cũng bị. bạn để ý các text ở phía khung tên cũng bị. hic. Không làm cách nào để chỉnh lại cho nó bình thường được cả. Nếu như bạn có mở ra thấy bình thường thì chắc là nhất thời thôi, chứ sau mở lại hoặc move 1 vài lần lại bị như thế
  • 0

#10 quochuyksxd

quochuyksxd

    biết lệnh fillet

  • Members
  • PipPipPipPip
  • 201 Bài viết
Điểm đánh giá: 24 (tàm tạm)

Đã gửi 15 December 2011 - 11:32 AM

có lẽ là do lỗi gì gì đó mình cũng ko biết. nhưng nếu muốn chửa cháy thì bạn vào textstyle (lệnh st) ở ô Heigh bạn sửa từ 0 thành 1 Apply, sau đó lại sửa trở về 0 rồi apply. mình làm như thế rồi save lại. tắt file mở lại thấy ko bị nữa

@ Bác Ket: em mở lên thì thấy nó ngộ lắm (Text có điểm chèn là Center) em dùng hàm (entget(car(entsel))) cho nó trước và sau khi edit là thế này:

Command: te
Select object: ((-1 . <Entity name: 7e5d0ce8>) (0 . "TEXT") (330 . <Entity
name: 7e5d7c10>) (5 . "1FD") (100 . "AcDbEntity") (67 . 0) (410 . "Model") (8 .
"TEXT") (62 . 4) (100 . "AcDbText") (10 974141.0 -583702.0 0.0) (40 . 486.349)
(1 . "B¶ng thèng kª cèt thÐpTHANG 2") (50 . 0.0) (41 . 1.0) (51 . 0.0) (7 .
"HOA") (71 . 0) (72 . 1) (11 982711.0 -583702.0 0.0) (210 0.0 0.0 1.0) (100 .
"AcDbText") (73 . 0))
sau khi edit text (text nhảy về đúng vị trí)

Command: te
Select object: ((-1 . <Entity name: 7e5d0ce8>) (0 . "TEXT") (330 . <Entity
name: 7e5d7c10>) (5 . "1FD") (100 . "AcDbEntity") (67 . 0) (410 . "Model") (8 .
"TEXT") (62 . 4) (100 . "AcDbText") (10 977696.0 -583702.0 0.0) (40 . 486.349)
(1 . "B¶ng thèng kª cèt thÐpTHANG 2") (50 . 0.0) (41 . 1.0) (51 . 0.0) (7 .
"HOA") (71 . 0) (72 . 1) (11 982711.0 -583702.0 0.0) (210 0.0 0.0 1.0) (100 .
"AcDbText") (73 . 0))
sau thế dc nhể?!

Mình cũng đã thử làm như bạn nhưng vẫn không được bạn ah. Còn mấy cái thông số ở dưới thì mình không hiểu???
  • 0

#11 hoan2182

hoan2182

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2646 Bài viết
Điểm đánh giá: 832 (rất tốt)

Đã gửi 15 December 2011 - 11:35 AM

Mở bản vẽ của anh em thấy bình thường

Anh sử dụng lệnh DT để viết xem sao???

Hình đã gửi
Gặp trường hợp viết dòng chữ vào ô hình chữ nhật, cách làm nhanh nhất là dùng lệnh DT , đỡ mất công chuyển đổi:
Gõ DT >>> J >>> F >>> Chọn điểm đầu và điểm cuối dòng chữ >>> Thay đỗi chiều cao chữ (nếu thấy cần) >>> gõ chữ . Cách này hay ở chỗ muốn thay đổi giãn dài hoặc co ngắn dễ dàng, chỉ cần bấm chọn dòng chữ rồi co giãn thoải mái,theo mọi hướng. ( Bấm vào ô vuông mầu xanh của chữ mầu trắng để co kéo khi cần phải sửa, tiện khi cần đưa dòng chữ vào ô chữ nhật có chiều dài khác nhau)
Chữ mầu trắng viết bằng lệnh DT, khi chọn đối tượng chữ sẽ thấy 2 ô vuông màu xanh, đây là điểm khác biệt so với viết bằng lệnh T

Command: dt TEXT
Current text style: "hoan" Text height: 2.5000 Annotative: No
Specify start point of text or [Justify/Style]: j Enter an option
[Align/Fit/Center/Middle/Right/TL/TC/TR/ML/MC/MR/BL/BC/BR]: f
Specify first endpoint of text baseline:
Specify second endpoint of text baseline:
Specify height <2.5000>: 50


  • 0

Gió đưa cây cải về trời

Rau răm ở lại chịu lời đắng cay...


#12 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5685 Bài viết
Điểm đánh giá: 2606 (tuyệt vời)

Đã gửi 15 December 2011 - 11:39 AM

Bản vẽ down về không thấy khu vực Thép dầm T2, các bảng khác mình thấy chữ bình thường
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#13 lp_hai

lp_hai

    biết lệnh measure

  • Members
  • PipPipPipPipPipPip
  • 456 Bài viết
Điểm đánh giá: 202 (khá)

Đã gửi 15 December 2011 - 01:20 PM

trước khi chỉnh text thì Text nằm ko đúng với điểm chèn (center...)
Hình đã gửi

sau khi edit thì text về đúng vị trí
Hình đã gửi

cad2008 có vấn đề sao?
  • 0
Hình đã gửi

#14 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5685 Bài viết
Điểm đánh giá: 2606 (tuyệt vời)

Đã gửi 15 December 2011 - 01:27 PM

À... Có thể do Text này chứa Xdata nên nó có tí vấn đề chăng ^^
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#15 Chiron

Chiron

    biết dimradius

  • Members
  • PipPipPipPipPip
  • 310 Bài viết
Điểm đánh giá: 90 (tàm tạm)

Đã gửi 15 December 2011 - 01:36 PM

Không hiểu sao bản vẽ của mình cứ bị lỗi text dãn ra như thế này rất khó chịu, Mặc dù width factor=1. Khi edit thì text lại trở lại bình thường nhưng sau đó move hoặc tắt mở lại bản vẽ thì text lại dãn lại. Nhờ các a e Pro giúp đỡ

Mình cũng hay bị tình trạng này, mình không rành về hệ thống nên không dám nói bừa, chỉ là suy đoán. Cách khắc phục tình thế chỉ là đổi font trong text style sang font khác (chẳng hạn Arial) > Apply, sau đó đổi ngược lại font .VnArial NarrowH.
Hình đã gửi
  • 0

#16 only102

only102

    biết vẽ pline

  • Advance Member
  • PipPip
  • 63 Bài viết
Điểm đánh giá: 15 (tàm tạm)

Đã gửi 15 December 2011 - 02:01 PM

Máy của mình rất đầy đủ, 1 điều là đưa sang các máy khác cũng bị. bạn để ý các text ở phía khung tên cũng bị. hic. Không làm cách nào để chỉnh lại cho nó bình thường được cả. Nếu như bạn có mở ra thấy bình thường thì chắc là nhất thời thôi, chứ sau mở lại hoặc move 1 vài lần lại bị như thế

Theo mình thì vị trí bản vẽ của bạn đang ở tọa độ Y= âm, cho nên mới bị lỗi này. Bạn hãy di chuyển toàn bộ bản vẽ của bạn lên phía trên sao cho ko còn đỗi tượng nào nằm trên vị trí Y= âm nữa thì sẽ hết lỗi.
  • 0
Không sợ việc gì khó! Chỉ sợ việc bất khả thi...

#17 quochuyksxd

quochuyksxd

    biết lệnh fillet

  • Members
  • PipPipPipPip
  • 201 Bài viết
Điểm đánh giá: 24 (tàm tạm)

Đã gửi 15 December 2011 - 02:14 PM

Đổi sang font khác
Hình đã gửi
Đổi lại font ban đầu
Hình đã gửi

Hic, vẫn không thể khắc phục được. Mình khẳng định máy mình không hề thiếu sót font, mình cũng đánh dùng dt để đánh text.
Mình muốn khắc phục hoàn toàn luôn chứ tình thế thì mở lại bản vẽ nó lại bị
  • 0

#18 quochuyksxd

quochuyksxd

    biết lệnh fillet

  • Members
  • PipPipPipPip
  • 201 Bài viết
Điểm đánh giá: 24 (tàm tạm)

Đã gửi 15 December 2011 - 02:22 PM

Theo mình thì vị trí bản vẽ của bạn đang ở tọa độ Y= âm, cho nên mới bị lỗi này. Bạn hãy di chuyển toàn bộ bản vẽ của bạn lên phía trên sao cho ko còn đỗi tượng nào nằm trên vị trí Y= âm nữa thì sẽ hết lỗi.

Mình đã thực hiện và kết quả là
Hình đã gửi -_- -_- -_- -_- -_- -_- -_- -_-
  • 0

#19 xuandung87hp

xuandung87hp

    biết vẽ circle

  • Members
  • PipPip
  • 38 Bài viết
Điểm đánh giá: 9 (bình thường)

Đã gửi 15 December 2011 - 02:48 PM

e thấy Cad 2010 thì không bị lõi nữa, còn mở bằng 2007 thì bị như a nói.:D. Cách khắc đơn giản nhất là anh xài bản Cad khác trong khi chờ đợi các cao thủ tìm ra lỗi. hi
  • 1

#20 lp_hai

lp_hai

    biết lệnh measure

  • Members
  • PipPipPipPipPipPip
  • 456 Bài viết
Điểm đánh giá: 202 (khá)

Đã gửi 15 December 2011 - 02:51 PM

mà sau cái file này hay hề, Bạn mở lên thì nó giãn ra 2 bên, còn mình mở thì nó lại lệch sang một bên,
Là sao ta? nói chung là ko biết :)

mình thử vào st chỉnh chiều cao mặc định từ 0 về 1 rồi lại chỉnh tư 1 về 0. save lại thì mở lênh ko bị nữa. Mình gửi lại đây, bạn mở lên thử có bị ko hả?
http://www.cadviet.c...00618_help1.dwg
  • 0
Hình đã gửi